Bug 587224 - i915 wakeup rate is unreasonably high.
i915 wakeup rate is unreasonably high.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 08:26 EDT by Matej
Modified: 2018-04-11 03:34 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 05:29:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A screenshot of 'powertop' showing high wakeup rates for 'i915'. (94.88 KB, image/png)
2010-04-29 08:26 EDT, Matej
no flags Details
Output of 'dmesg' (89.48 KB, text/plain)
2010-04-29 08:27 EDT, Matej
no flags Details
Detailed hardware information for the machine on which this bug was first discovered. (21.70 KB, text/plain)
2010-04-29 08:33 EDT, Matej
no flags Details
Wakeup situation for an older kernel (2.6.32.9-70.fc12.i686.PAE). (98.06 KB, image/png)
2010-04-30 05:11 EDT, Matej
no flags Details

  None (edit)
Description Matej 2010-04-29 08:26:13 EDT
Created attachment 410090 [details]
A screenshot of 'powertop' showing high wakeup rates for 'i915'.

Description of problem: Powertop reveals that 'i915' produces 60 wakeups per second even when the computer is perfectly idle (see attachment).

Previously, the wakeup rate would be around 4 or 5 wakeups per second (cumulatively for all processes).

The battery life is greatly influenced by this -- it uses around 1.2W more (8.7W instead of 7.5W in a previous version of the kernel).


Version-Release number of selected component (if applicable):

kernel-PAE 2.6.32.11-99.fc12.i686.PAE
i915.ko


How reproducible:


Steps to Reproduce:
1. update kernel to 2.6.32.11-99.fc12.i686.PAE and boot into it
2. observe higher wakeup rate.
  
Actual results: Higher wakeup rate, more consumed power -- observed with powertop.


Expected results: Same (or lower) wakeup rate, same (or lower) power consumption.


Additional info: see attachments.
Comment 1 Matej 2010-04-29 08:27:38 EDT
Created attachment 410091 [details]
Output of 'dmesg'
Comment 2 Matej 2010-04-29 08:33:35 EDT
Created attachment 410092 [details]
Detailed hardware information for the machine on which this bug was first discovered.
Comment 3 Matej 2010-04-29 08:53:28 EDT
I've observed the power consumption again. I actually see that when idle the power consumption is 9.1W. Previously it was 7.5W (with exactly the same conditions).
Comment 4 Matej 2010-04-30 05:11:58 EDT
Created attachment 410345 [details]
Wakeup situation for an older kernel (2.6.32.9-70.fc12.i686.PAE).

Notice that the wakeup count and power consumption are lower.
Comment 5 Matej 2010-06-15 09:44:57 EDT
The problem still exists with the 2.6.32.14-127.fc12.i686.PAE kernel.
Comment 7 Matej 2010-08-03 12:03:40 EDT
Still the same with 2.6.32.16-150.fc12.i686.PAE.
Comment 8 Bug Zapper 2010-11-03 12:03:19 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Matej 2010-11-10 05:29:59 EST
This problem does not exist in Fedora 14 (2.6.35.6-48.fc14.i686).

Note You need to log in before you can comment on or make changes to this bug.